* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: sans-serif;
    background: #000;
    color: #f7f4f4;
}

.page {
    max-width: 720px;
    margin: 0 auto;
    padding: 2rem 1.5rem;
}

.hero {
    margin-bottom: 2rem;
}

.hero h1 {
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 6px;
    color: #f7f4f4;
}

.hero p {
    font-size: 14px;
    color: #888;
}

.divider {
    height: 1px;
    background: #2a2a2a;
    margin-bottom: 2rem;
}

section {
    margin-bottom: 2rem;
}

.section-title {
    font-size: 12px;
    font-weight: 600;
    color: #555;
    text-transform: uppercase;
    letter-spacing: 0.06em;
    margin-bottom: 12px;
    display: flex;
    gap: 4px;

    p{
        color:  rgb(206, 204, 204);;
    }
    .topic{
        color:  rgb(113, 113, 113);;
    }
}

.cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    gap: 12px;
}

.card {
    background: #111;
    border: 1px solid #2a2a2a;
    border-radius: 12px;
    padding: 1rem 1.25rem;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    gap: 8px;
    transition: border-color 0.15s;
}

.card:hover {
    border-color: #444;
    background: #1a1a1a;
}

.badge {
    display: inline-block;
    font-size: 12px;
    font-weight: 500;
    padding: 3px 10px;
    border-radius: 6px;
    width: fit-content;
}

.easy {
    background: #1a2e10;
    color: #7ec850;
}

.medium {
    background: #2e1f05;
    color: #e09d3a;
}

.hard {
    background: #2e0d0d;
    color: #e05555;
}

.general {
    background: #0d1e2e;
    color: #4a9edd;
}

.card-title {
    font-size: 15px;
    font-weight: 500;
    color: #f0f0f0;
}

.card-sub {
    font-size: 13px;
    color: #666;
}

.card-arrow {
    font-size: 13px;
    color: #555;
    margin-top: auto;
}

.card:hover .card-arrow {
    color: #888;
}